Bug 174640 - add -Parent option to vncviewer to support embedding
add -Parent option to vncviewer to support embedding
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-11-30 18:34 EST by Jeremy Katz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.1-26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-01 13:03:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to add support (3.60 KB, patch)
2005-11-30 18:34 EST, Jeremy Katz
no flags Details | Diff

  None (edit)
Description Jeremy Katz 2005-11-30 18:34:49 EST
The attached patch adds support to vncviewer to run with a '-Parent windowid'
option and then use that window as its parent instead of the main window.  It's
a little rough, but seems to work well enough for now so that I can embed the
VNC viewer in a pygtk app for accessing Xen guests.

Longer term, I'm unsure whether we'll want to continue to go with this approach
or if we'll want to write a widget using libvncclient.
Comment 1 Jeremy Katz 2005-11-30 18:34:49 EST
Created attachment 121656 [details]
patch to add support
Comment 2 Tim Waugh 2005-12-01 13:03:37 EST
Thanks!  Applied in 4.1.1-26.

Note You need to log in before you can comment on or make changes to this bug.